      function   fiout (inod, ibrn, time_flag)
c
c Calculates the current out of a block.
c
c
c Define passed variables
c
      integer  inod, ibrn
c
c Include files
c
      include 'zdemparm.h'
      include 'zdemmax.h'
      include 'zdemwork.h'
c
c Define internal variables
c
c     NONE
c
c    *If (time on the half step was requested)
      if (time_flag .eq. half_step) then
c
c       *Average time from last whole step and time from this whole step
         fiout = 0.5 * (zir(inod,ibrn) + zirn(inod,ibrn))
c
c    *Else (time on the whole step was requested)
      else
c
c       *Return time on the current whole step
         fiout = zirn(inod,ibrn)
c
      endif
c
      return
      end
